---
Fuzzer filename: '/src/yara/tests/oss-fuzz/tlsh_fuzzer.cc'
All functions:
  Function list name: All functions
  Elements:
    - functionName:    LLVMFuzzerTestOneInput
      functionSourceFile: '/src/yara/tests/oss-fuzz/tlsh_fuzzer.cc'
      linkageType:     externalLinkage
      functionLinenumber: 35
      functionLinenumberEnd: 55
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         8
      ICount:          68
      EdgeCount:       10
      CyclomaticComplexity: 4
      functionsReached:
        - tlsh_final
        - tlsh_free
        - tlsh_get_hash
        - tlsh_new
        - tlsh_reset
        - tlsh_update
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/oss-fuzz/tlsh_fuzzer.cc:39,16'
          Dst:             tlsh_new
        - Src:             'tests/oss-fuzz/tlsh_fuzzer.cc:45,3'
          Dst:             tlsh_update
        - Src:             'tests/oss-fuzz/tlsh_fuzzer.cc:46,3'
          Dst:             tlsh_final
        - Src:             'tests/oss-fuzz/tlsh_fuzzer.cc:48,3'
          Dst:             tlsh_get_hash
        - Src:             'tests/oss-fuzz/tlsh_fuzzer.cc:49,3'
          Dst:             tlsh_get_hash
        - Src:             'tests/oss-fuzz/tlsh_fuzzer.cc:51,3'
          Dst:             tlsh_reset
        - Src:             'tests/oss-fuzz/tlsh_fuzzer.cc:52,3'
          Dst:             tlsh_free
    - functionName:    tlsh_get_hash
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh.c'
      linkageType:     InternalLinkage
      functionLinenumber: 75
      functionLinenumberEnd: 80
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - bool
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          39
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - tlsh_impl_hash
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             'libyara/tlshc/tlsh.c:77,12'
          Dst:             tlsh_impl_hash
    - functionName:    tlsh_final
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh.c'
      linkageType:     InternalLinkage
      functionLinenumber: 56
      functionLinenumberEnd: 72
      functionDepth:   0
      returnType:      int
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         14
      ICount:          75
      EdgeCount:       18
      CyclomaticComplexity: 6
      functionsReached:
        - tlsh_impl_final
        - tlsh_impl_update
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'libyara/tlshc/tlsh.c:61,17'
          Dst:             tlsh_impl_update
        - Src:             'libyara/tlshc/tlsh.c:68,5'
          Dst:             tlsh_impl_final
    - functionName:    tlsh_reset
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh.c'
      linkageType:     InternalLinkage
      functionLinenumber: 46
      functionLinenumberEnd: 49
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         6
      ICount:          30
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - tlsh_impl_reset
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'libyara/tlshc/tlsh.c:48,5'
          Dst:             tlsh_impl_reset
    - functionName:    tlsh_update
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh.c'
      linkageType:     InternalLinkage
      functionLinenumber: 31
      functionLinenumberEnd: 43
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         9
      ICount:          54
      EdgeCount:       11
      CyclomaticComplexity: 4
      functionsReached:
        - tlsh_impl_update
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'libyara/tlshc/tlsh.c:35,15'
          Dst:             tlsh_impl_update
    - functionName:    tlsh_free
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh.c'
      linkageType:     InternalLinkage
      functionLinenumber: 22
      functionLinenumberEnd: 28
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         6
      ICount:          30
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - tlsh_impl_free
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'libyara/tlshc/tlsh.c:25,5'
          Dst:             tlsh_impl_free
    - functionName:    tlsh_new
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh.c'
      linkageType:     InternalLinkage
      functionLinenumber: 6
      functionLinenumberEnd: 19
      functionDepth:   0
      returnType:      'N/A'
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         8
      ICount:          46
      EdgeCount:       10
      CyclomaticComplexity: 4
      functionsReached:
        - tlsh_impl_new
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'libyara/tlshc/tlsh.c:11,16'
          Dst:             tlsh_impl_new
    - functionName:    partition
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_impl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1199
      functionLinenumberEnd: 1232
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - int
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         20
      ICount:          194
      EdgeCount:       24
      CyclomaticComplexity: 6
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    raw_fast_update5
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_impl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 461
      functionLinenumberEnd: 573
      functionDepth:   0
      returnType:      void
      argCount:        6
      argTypes:
        - 'N/A'
        - int
        - int
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         25
      ICount:          1443
      EdgeCount:       32
      CyclomaticComplexity: 9
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    raw_fast_update5_private
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_impl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 583
      functionLinenumberEnd: 686
      functionDepth:   0
      returnType:      void
      argCount:        5
      argTypes:
        - 'N/A'
        - int
        - int
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         25
      ICount:          1300
      EdgeCount:       32
      CyclomaticComplexity: 9
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    tlsh_impl_total_diff
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_impl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1032
      functionLinenumberEnd: 1073
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - bool
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         25
      ICount:          204
      EdgeCount:       32
      CyclomaticComplexity: 9
      functionsReached:
        - h_distance
        - mod_diff
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'libyara/tlshc/tlsh_impl.c:1037,17'
          Dst:             mod_diff
        - Src:             'libyara/tlshc/tlsh_impl.c:1047,16'
          Dst:             mod_diff
        - Src:             'libyara/tlshc/tlsh_impl.c:1054,16'
          Dst:             mod_diff
        - Src:             'libyara/tlshc/tlsh_impl.c:1070,11'
          Dst:             h_distance
    - functionName:    tlsh_impl_histogram_count
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_impl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1025
      functionLinenumberEnd: 1029
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         4
      ICount:          33
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    tlsh_impl_bucket_value
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_impl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 995
      functionLinenumberEnd: 1022
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         8
      ICount:          91
      EdgeCount:       10
      CyclomaticComplexity: 4
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    tlsh_impl_checksum
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_impl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 986
      functionLinenumberEnd: 992
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         7
      ICount:          41
      EdgeCount:       8
      CyclomaticComplexity: 3
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    tlsh_impl_is_valid
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_impl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 981
      functionLinenumberEnd: 982
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          11
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    tlsh_impl_q2ratio
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_impl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 976
      functionLinenumberEnd: 977
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          12
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    tlsh_impl_q1ratio
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_impl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 971
      functionLinenumberEnd: 972
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          12
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    tlsh_impl_lvalue
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_impl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 966
      functionLinenumberEnd: 967
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          11
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    tlsh_impl_compare
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_impl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 918
      functionLinenumberEnd: 919
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          20
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - memcmp
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'libyara/tlshc/tlsh_impl.c:919,11'
          Dst:             memcmp
    - functionName:    memcmp
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    tlsh_impl_hash
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_impl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 899
      functionLinenumberEnd: 915
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - bool
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         8
      ICount:          61
      EdgeCount:       10
      CyclomaticComplexity: 4
      functionsReached:
        - hash2
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'libyara/tlshc/tlsh_impl.c:914,10'
          Dst:             hash2
    - functionName:    hash2
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_impl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 859
      functionLinenumberEnd: 895
      functionDepth:   0
      returnType:      'N/A'
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
        - bool
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         19
      ICount:          155
      EdgeCount:       24
      CyclomaticComplexity: 7
      functionsReached:
        - strncpy
        - swap_byte
        - to_hex
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'libyara/tlshc/tlsh_impl.c:862,5'
          Dst:             strncpy
        - Src:             'libyara/tlshc/tlsh_impl.c:867,5'
          Dst:             strncpy
        - Src:             'libyara/tlshc/tlsh_impl.c:874,23'
          Dst:             swap_byte
        - Src:             'libyara/tlshc/tlsh_impl.c:876,16'
          Dst:             swap_byte
        - Src:             'libyara/tlshc/tlsh_impl.c:877,14'
          Dst:             swap_byte
        - Src:             'libyara/tlshc/tlsh_impl.c:888,5'
          Dst:             to_hex
        - Src:             'libyara/tlshc/tlsh_impl.c:892,5'
          Dst:             to_hex
    - functionName:    strncpy
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    tlsh_impl_from_tlsh_str
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_impl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 801
      functionLinenumberEnd: 852
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         51
      ICount:          328
      EdgeCount:       67
      CyclomaticComplexity: 18
      functionsReached:
        - from_hex
        - strncmp
        - swap_byte
        - tlsh_impl_reset
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'libyara/tlshc/tlsh_impl.c:804,7'
          Dst:             strncmp
        - Src:             'libyara/tlshc/tlsh_impl.c:832,3'
          Dst:             tlsh_impl_reset
        - Src:             'libyara/tlshc/tlsh_impl.c:835,3'
          Dst:             from_hex
        - Src:             'libyara/tlshc/tlsh_impl.c:840,33'
          Dst:             swap_byte
        - Src:             'libyara/tlshc/tlsh_impl.c:842,26'
          Dst:             swap_byte
        - Src:             'libyara/tlshc/tlsh_impl.c:843,24'
          Dst:             swap_byte
    - functionName:    strncmp
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    tlsh_impl_reset
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_impl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 126
      functionLinenumberEnd: 135
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          40
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    find_quartile
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_impl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1089
      functionLinenumberEnd: 1196
      functionDepth:   0
      returnType:      void
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         53
      ICount:          325
      EdgeCount:       66
      CyclomaticComplexity: 15
      functionsReached:
        - partition
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'libyara/tlshc/tlsh_impl.c:1104,24'
          Dst:             partition
        - Src:             'libyara/tlshc/tlsh_impl.c:1134,28'
          Dst:             partition
        - Src:             'libyara/tlshc/tlsh_impl.c:1169,28'
          Dst:             partition
    - functionName:    tlsh_impl_final
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_impl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 698
      functionLinenumberEnd: 798
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         51
      ICount:          355
      EdgeCount:       67
      CyclomaticComplexity: 18
      functionsReached:
        - find_quartile
        - fprintf
        - l_capturing
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'libyara/tlshc/tlsh_impl.c:701,5'
          Dst:             fprintf
        - Src:             'libyara/tlshc/tlsh_impl.c:723,3'
          Dst:             find_quartile
        - Src:             'libyara/tlshc/tlsh_impl.c:792,26'
          Dst:             l_capturing
    - functionName:    fprintf
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    tlsh_impl_fast_update5
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_impl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 431
      functionLinenumberEnd: 450
      functionDepth:   0
      returnType:      void
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         6
      ICount:          77
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - raw_fast_update5
        - raw_fast_update5_private
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'libyara/tlshc/tlsh_impl.c:434,5'
          Dst:             raw_fast_update5_private
        - Src:             'libyara/tlshc/tlsh_impl.c:441,5'
          Dst:             raw_fast_update5
    - functionName:    tlsh_impl_update
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_impl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 142
      functionLinenumberEnd: 398
      functionDepth:   0
      returnType:      int
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         17
      ICount:          105
      EdgeCount:       22
      CyclomaticComplexity: 7
      functionsReached:
        - fprintf
        - tlsh_impl_fast_update5
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             'libyara/tlshc/tlsh_impl.c:145,5'
          Dst:             fprintf
        - Src:             'libyara/tlshc/tlsh_impl.c:166,5'
          Dst:             tlsh_impl_fast_update5
    - functionName:    tlsh_impl_free
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_impl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 116
      functionLinenumberEnd: 123
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         6
      ICount:          34
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    tlsh_impl_new
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_impl.c'
      linkageType:     InternalLinkage
      functionLinenumber: 108
      functionLinenumberEnd: 114
      functionDepth:   0
      returnType:      'N/A'
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         6
      ICount:          30
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - calloc
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'libyara/tlshc/tlsh_impl.c:109,20'
          Dst:             calloc
    - functionName:    calloc
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - size_t
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    from_hex
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_util.c'
      linkageType:     InternalLinkage
      functionLinenumber: 3638
      functionLinenumberEnd: 3753
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         5
      ICount:          60
      EdgeCount:       5
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    to_hex
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_util.c'
      linkageType:     InternalLinkage
      functionLinenumber: 3608
      functionLinenumberEnd: 3635
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         5
      ICount:          50
      EdgeCount:       5
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    swap_byte
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_util.c'
      linkageType:     InternalLinkage
      functionLinenumber: 3600
      functionLinenumberEnd: 3604
      functionDepth:   0
      returnType:      char
      argCount:        1
      argTypes:
        - char
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          26
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    6
      BranchProfiles:  []
      Callsites:       []
    - functionName:    h_distance
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_util.c'
      linkageType:     InternalLinkage
      functionLinenumber: 3560
      functionLinenumberEnd: 3596
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - int
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         5
      ICount:          51
      EdgeCount:       5
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    mod_diff
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_util.c'
      linkageType:     InternalLinkage
      functionLinenumber: 3485
      functionLinenumberEnd: 3498
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - int
        - int
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         7
      ICount:          63
      EdgeCount:       8
      CyclomaticComplexity: 3
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    l_capturing
      functionSourceFile: '/src/yara/libyara/tlshc/tlsh_util.c'
      linkageType:     InternalLinkage
      functionLinenumber: 3456
      functionLinenumberEnd: 3482
      functionDepth:   0
      returnType:      char
      argCount:        1
      argTypes:
        - int
      constantsTouched: []
      argNames:
        - ''
      BBCount:         13
      ICount:          89
      EdgeCount:       16
      CyclomaticComplexity: 5
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
...
